<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>
        <title>Tabla de Multiplicar</title>
    </head>
    <body>
        <div class="container mt-5">
            <form action="/table" method="post" class="mb-3">
                <div class="form-group">
                    <label for="numero" class="mb-3">Ingrese un número:</label>
                    <input type="number" id="numero" name="numero" class="form-control mb-3" value="<%=numero%>" required>
                </div>
                <button type="submit" class="btn btn-primary">Enviar</button>
                <button type="reset" class="btn btn-secondary">Limpiar</button>
            </form>

            <section>
                <%
                let res = 0;
                if (numero != null) {
                    for (let con = 1; con <= 10; ++con) {
                        res = con * numero;
                %>
                        <h3><%=numero%> * <%=con%> = <%=res%></h3>
                <%
                    }
                }
                %>
            </section>
        </div>
    </body>
</html>
